Bug 1175878 - Review Request: nodejs-html-minifier - HTML minifier with lint-like capabilities
Summary: Review Request: nodejs-html-minifier - HTML minifier with lint-like capabilities
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1170802 1171350
Blocks: 1176445 1177702
TreeView+ depends on / blocked
 
Reported: 2014-12-18 19:51 UTC by Piotr Popieluch
Modified: 2015-02-28 17:57 UTC (History)
2 users (show)

Fixed In Version: nodejs-html-minifier-0.6.9-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:52:46 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-18 19:51:11 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-html-minifier.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-html-minifier-0.6.9-1.fc21.src.rpm
Description: HTML minifier with lint-like capabilities
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-20 13:42:13 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-html-minifier.noarch: W: only-non-binary-in-usr-lib
nodejs-html-minifier.noarch: W: dangling-symlink /usr/lib/node_modules/html-minifier/node_modules/change-case /usr/lib/node_modules/change-case
nodejs-html-minifier.noarch: W: dangling-symlink /usr/lib/node_modules/html-minifier/node_modules/clean-css /usr/lib/node_modules/clean-css
nodejs-html-minifier.noarch: W: dangling-symlink /usr/lib/node_modules/html-minifier/node_modules/cli /usr/lib/node_modules/cli
nodejs-html-minifier.noarch: W: dangling-symlink /usr/lib/node_modules/html-minifier/node_modules/uglify-js /usr/lib/node_modules/uglify-js@2
nodejs-html-minifier.noarch: W: dangling-symlink /usr/lib/node_modules/html-minifier/node_modules/relateurl /usr/lib/node_modules/relateurl
nodejs-html-minifier.src: W: strange-permission nodejs-html-minifier-dl-tests.sh 0755L
nodejs-html-minifier.src: W: invalid-url Source1: nodejs-html-minifier-tests-v0.6.9.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 8 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball: 5e58d4e5bb59ed6b24da67b822f30af8f016d3d19331981c1aea8f9349a7047b
upstream tarball:  5e58d4e5bb59ed6b24da67b822f30af8f016d3d19331981c1aea8f9349a7047b

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

Suggestions:
1) Group tag is optional and can be removed.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-20 14:12:02 UTC
Thank you for review. Group tag removed. Could you please check https://bugzilla.redhat.com/show_bug.cgi?id=1170802 as it blocks this package?

New Package SCM Request
=======================
Package Name: nodejs-html-minifier
Short Description: HTML minifier with lint-like capabilities
Upstream URL: https://kangax.github.io/html-minifier/
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Jens Petersen 2014-12-22 08:37:45 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-22 09:34:51 UTC
nodejs-html-minifier-0.6.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-html-minifier-0.6.9-1.fc20

Comment 5 Fedora Update System 2014-12-22 09:36:06 UTC
nodejs-html-minifier-0.6.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-html-minifier-0.6.9-1.fc21

Comment 6 Fedora Update System 2014-12-23 18:25:42 UTC
nodejs-html-minifier-0.6.9-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Piotr Popieluch 2014-12-27 00:52:46 UTC
package built, closing.

Comment 8 Fedora Update System 2015-01-01 08:53:26 UTC
nodejs-html-minifier-0.6.9-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-01-01 08:57:31 UTC
nodejs-html-minifier-0.6.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-01-28 12:48:45 UTC
nodejs-html-minifier-0.6.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-html-minifier-0.6.9-1.el7

Comment 11 Fedora Update System 2015-02-28 17:57:21 UTC
nodejs-html-minifier-0.6.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.